{# _datamax/api/templates/api_exchange/login.html_ #}
{% extends "public_layout.html" %}

{% block body %}
<div class="col-md-4"></div>
<div class="col-md-4">
    <!--- \\\\\\\Post-->
    <div class="card gedf-card" style="margin-top:35%">
        <div class="card-body text-center">
            <form class="form-signin" action="#" id="signInForm">
                <h4 class="h4 mb-4">API Exchange</h4>
                <label for="inputModuleName" class="sr-only">Module name</label>
                <input type="text" id="inputModuleName" class="form-control" placeholder="Module name"
                       name="module_name" required>
                <br>
                <label for="inputPassword" class="sr-only">Password</label>
                <input type="password" id="inputPassword" class="form-control" placeholder="Password" name="password"
                       required>
                <br>
                <input class="btn btn-primary btn-block" value="Sign in" type="submit">
                <p class="mt-5 mb-3 text-muted">&copy; 2019 Axtria.</p>
            </form>
        </div> <!-- .card body ends-->
    </div>
    <!-- Post /////-->
</div>
<div class="col-md-4"></div>
<script>
    $("#signInForm").submit(function() {
        $.ajax({
         type: "POST",
         url: "{{ url_for('api_exchange.authorize') }}",
         data: $(this).serialize(),
         success: function(data) {
                console.log(data);
                window.location.href = "{{ url_for('views_exchange.category_api') }}";
         }
       })
       return false;
  })
</script>
{% endblock %}